//import	java.lang.Double;
import java.io.File;
import java.awt.EventQueue;

import javax.swing.JFrame;
import java.awt.GridBagLayout;
import javax.swing.JLabel;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.SwingConstants;
import javax.swing.JCheckBox;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.FocusAdapter;
import java.awt.event.FocusEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import org.eclipse.wb.swing.FocusTraversalOnArray;
import java.awt.Component;

public class AppWin {

	private static JFrame frame;
	private static JTextField textField;
	private JLabel lblNewLabel_1;
	private static JTextField textField_1;
	private JLabel lblNewLabel_2;
	private static JTextField textField_2;
	private JLabel lblNewLabel_3;
	private JLabel label;
	private static JCheckBox chckbxNewCheckBox;
	private static JTextField textField_3;
	private JLabel lblNewLabel_4;
	private static JTextField textField_4;
	private JLabel lblNewLabel_5;
	private static JCheckBox chckbxNewCheckBox_1;
	private static JTextField textField_5;
	private JLabel lblNewLabel_6;
	private static JTextField textField_6;
	private JLabel lblNewLabel_7;
	private JLabel lblNewLabel_8;
	private static JTextField textField_7;
	private JLabel lblNewLabel_9;
	private static JTextField textField_8;
	private JLabel lblNewLabel_10;
	private static JTextField textField_9;
	private JLabel lblNewLabel_11;
	private static JLabel lblNewLabel_12;
	private JLabel lblNewLabel_13;
	private static JTextField textField_10;
	private JLabel label_1;
	private static JTextField textField_11;
	private JLabel label_2;
	private static JTextField textField_12;
	private JLabel label_3;
	private static JLabel label_4;
	private JLabel label_5;
	private static JTextField textField_13;
	private JLabel lblNewLabel_14;
	private JButton btnNewButton_1;
	private JButton btnNewButton_2;
	private static JRadioButton rdbtnNewRadioButton;
	private static JRadioButton rdbtnNewRadioButton_1;
	private static JRadioButton rdbtnNewRadioButton_2;
	private static JRadioButton rdbtnNewRadioButton_3;
	
	static Config Cnf;
	public static AppWin MainWin;
	public static JCheckBox chckbxNewCheckBox_2;
	public static JCheckBox chckbxNewCheckBox_3;
	public static ScrollList CaptionList;
	public static ScrollList TagList;
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					MainWin = new AppWin();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public AppWin() {
		Cnf = new Config();
		initialize();
	}

	/**
	 * Access Method for Dialog Items
	 */
	// 日付、座標が有効か判定する
	static boolean isDateValid() {
		boolean result = true;
		
		result = (result && !textField_1.getText().isEmpty());		// 開始年
		result = (result && !textField_3.getText().isEmpty());		// 開始月
		result = (result && !textField_5.getText().isEmpty());		// 開始日
		
		return result;
	}
	static boolean isCoodValid() {
		boolean result = true;
		
		result = (result && !textField_7.getText().isEmpty());		// 緯度-度
		result = (result && !textField_10.getText().isEmpty());		// 経度-度
		
		return result;
	}
	
	// 検索対象フォルダのパスをテキストフィールドに設定
	static void setSearchFolder(File folder) {
		textField.setText(folder.getPath());
	}
	static String getSearchFolder() {
		return textField.getText();
	}
	static int getYearS() {
		String	s = textField_1.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getYearE() {
		String	s = textField_2.getText();
		if (s.isEmpty()) {
			s = textField_1.getText();		// 終端が空なら始端と同一にする
			if (s.isEmpty())
				return 0;
		}
		try {
			return Integer.parseInt(s);
		} catch (NumberFormatException e) {
			return 0;
		}
	}
	static boolean getEveryY() {
		return chckbxNewCheckBox.isSelected();
	}
	static int getMonS() {
		String	s = textField_3.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getMonE() {
		String	s = textField_4.getText();
		if (s.isEmpty()) {
			s = textField_3.getText();
			if (s.isEmpty())
				return 0;
		}
		try {
			return Integer.parseInt(s);
		} catch (NumberFormatException e) {
			return 0;
		}
	}
	static boolean getEveryM() {
		return chckbxNewCheckBox_1.isSelected();
	}
	static int getDayS() {
		String	s = textField_5.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				if (s.equals("末") == true)
					return 31;
				else
					return 0;
			}
		}
	}
	static int getDayE() {
		String	s = textField_6.getText();
		if (s.isEmpty()) {
			s = textField_5.getText();
			if (s.isEmpty())
				return 0;
		}
		try {
			return Integer.parseInt(s);
		} catch (NumberFormatException e) {
			if (s.equals("末") == true)
				return 31;
			else
				return 0;
		}
	}
	static char getLatRef() {
		if (rdbtnNewRadioButton.isSelected() == true)
			return 'N';
		else return 'S';
	}
	
	static double getLatDMI() {
		String	s = lblNewLabel_12.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Double.parseDouble(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getLatDeg() {
		String	s = textField_7.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getLatMin() {
		String	s = textField_8.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static double getLatSec() {
		String	s = textField_9.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Double.parseDouble(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static char getLongRef() {
		if (rdbtnNewRadioButton_2.isSelected() == true)
			return 'E';
		else return 'W';
	}
	
	static double getLongDMI() {
		String	s = label_4.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Double.parseDouble(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getLongDeg() {
		String	s = textField_10.getText();
		if (s == "")
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getLongMin() {
		String	s = textField_11.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static double getLongSec() {
		String	s = textField_12.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Double.parseDouble(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	static int getScope() {
		String	s = textField_13.getText();
		if (s.isEmpty())
			return 0;
		else {
			try {
				return Integer.parseInt(s);
			} catch (NumberFormatException e) {
				return 0;
			}
		}
	}
	// 緯度を再計算する
	static void ReCalcLatitude() {
		String s;
		double deg = 0;
		double	min = 0;
		double sec = 0;
		double dmi;			// xxx.xxxxxx形式
		Double d;

		s = textField_7.getText();
		if (s.length() == 0)
			deg = 0;
		else
			deg = Double.parseDouble(s);
		if ((deg %1) == 0) {
			// "度" が整数の場合
			s = textField_8.getText();
			if (s.length() == 0)
				min = 0;
			else
				min = Double.parseDouble(s);
			s = textField_9.getText();
			if (s.length() == 0)
				sec = 0;
			else
				sec = Double.parseDouble(s);
			dmi = deg + (min / 60) + (sec / 3600);
		}
		else {
			dmi = deg;			// "度" に小数部がある場合、小数部で分、秒を書き換える
			d = dmi;
			deg = d.intValue();
			textField_7.setText(String.format("%1$1.0f", deg));
			d = (dmi - deg) * 60;
			min = d.intValue();
			textField_8.setText(String.format("%1$1.0f", min));
			sec = ((dmi - deg) * 3600) - (min * 60);
			textField_9.setText(String.format("%1$1.2f", sec));
		}
		
		s = String.format("%1$3.6f", dmi);
		lblNewLabel_12.setText(s);
	}
	// 経度を再計算する
	static void ReCalcLongtitude() {
		String s;
		double deg = 0;
		double	min = 0;
		double sec = 0;
		double dmi;			// xxx.xxxxxx形式
		Double d;

		s = textField_10.getText();
		if (s.length() == 0)
			deg = 0;
		else
			deg = Double.parseDouble(s);
		if ((deg %1) == 0) {
			// "度" が整数の場合
			s = textField_11.getText();
			if (s.length() == 0)
				min = 0;
			else
				min = Double.parseDouble(s);
			s = textField_12.getText();
			if (s.length() == 0)
				sec = 0;
			else
				sec = Double.parseDouble(s);
			dmi = deg + (min / 60) + (sec / 3600);
		}
		else {
			dmi = deg;			// "度" に小数部がある場合、小数部で分、秒を書き換える
			d = dmi;
			deg = d.intValue();
			textField_10.setText(String.format("%1$1.0f", deg));
			d = (dmi - deg) * 60;
			min = d.intValue();
			textField_11.setText(String.format("%1$1.0f", min));
			sec = ((dmi - deg) * 3600) - (min * 60);
			textField_12.setText(String.format("%1$1.2f", sec));
		}
		
		s = String.format("%1$3.6f", dmi);
		label_4.setText(s);
	}
	
	// ダイアログをDisableにする
	static void setDisable() {
		frame.setEnabled(false);
	}
	// ダイアログをEnableにする
	static void setEnable() {
		AppWin.frame.setEnabled(true);
	}
	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		frame.addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				// ウィンドウを閉じようとしたとき
				if (FileTbl.isValidResult() != true) {
					// 有効な検索結果が無い
					frame.dispose();
					System.exit(1);
				}
				else {
					// 保存されていない検索結果が有るので、保存するかどうかを問い合わせる
					SrchPhoto Searcher = AppWinHndl.getSearcher();
					if (Searcher == null)
						System.exit(0);
					FileTbl  FTbl = Searcher.getFileTbl();
					if (FTbl != null) {
						if (FTbl.atClose() == true) {
							FileTbl.setInValid();
							System.exit(0);
						}
					}
					else
						System.exit(0);
				}
			}
		});
		frame.setAlwaysOnTop(false);
		frame.setResizable(true);
		frame.setTitle("写真検索 Ver1.00.01");
		frame.setBounds(100, 100, 480, 550);
		frame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		GridBagLayout gridBagLayout = new GridBagLayout();
		gridBagLayout.columnWidths = new     int[]{5,  30,  30, 30,  30,  30,  30,  30,  30,  30,  30,  30,  30,  30,  30,   5};
		gridBagLayout.columnWeights = new double[]{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0};
		gridBagLayout.rowHeights = new int[]{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 101, 0, 0};
		gridBagLayout.rowWeights = new double[]{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, Double.MIN_VALUE};
		frame.getContentPane().setLayout(gridBagLayout);

		JLabel lblNewLabel = new JLabel("●検索対象フォルダ");
		GridBagConstraints gbc_lblNewLabel = new GridBagConstraints();
		gbc_lblNewLabel.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel.gridwidth = 5;
		gbc_lblNewLabel.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel.gridx = 1;
		gbc_lblNewLabel.gridy = 0;
		frame.getContentPane().add(lblNewLabel, gbc_lblNewLabel);
		
		textField = new JTextField();
		GridBagConstraints gbc_textField = new GridBagConstraints();
		gbc_textField.gridwidth = 11;
		gbc_textField.insets = new Insets(0, 0, 5, 5);
		gbc_textField.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField.gridx = 1;
		gbc_textField.gridy = 1;
		frame.getContentPane().add(textField, gbc_textField);
		textField.setColumns(10);
		
		JButton btnNewButton = new JButton("参照");
		btnNewButton.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				AppWinHndl.SearchFolder(textField.getText());
			}
		});
		GridBagConstraints gbc_btnNewButton = new GridBagConstraints();
		gbc_btnNewButton.fill = GridBagConstraints.HORIZONTAL;
		gbc_btnNewButton.gridwidth = 2;
		gbc_btnNewButton.insets = new Insets(0, 0, 5, 5);
		gbc_btnNewButton.gridx = 12;
		gbc_btnNewButton.gridy = 1;
		frame.getContentPane().add(btnNewButton, gbc_btnNewButton);
		
		lblNewLabel_1 = new JLabel("●撮影日時");
		GridBagConstraints gbc_lblNewLabel_1 = new GridBagConstraints();
		gbc_lblNewLabel_1.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_1.gridwidth = 4;
		gbc_lblNewLabel_1.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_1.gridx = 1;
		gbc_lblNewLabel_1.gridy = 2;
		frame.getContentPane().add(lblNewLabel_1, gbc_lblNewLabel_1);
		
		lblNewLabel_3 = new JLabel("・年");
		GridBagConstraints gbc_lblNewLabel_3 = new GridBagConstraints();
		gbc_lblNewLabel_3.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_3.gridwidth = 2;
		gbc_lblNewLabel_3.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_3.gridx = 1;
		gbc_lblNewLabel_3.gridy = 3;
		frame.getContentPane().add(lblNewLabel_3, gbc_lblNewLabel_3);
		
		textField_1 = new JTextField();
		textField_1.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_1 = new GridBagConstraints();
		gbc_textField_1.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_1.anchor = GridBagConstraints.WEST;
		gbc_textField_1.gridwidth = 2;
		gbc_textField_1.insets = new Insets(0, 0, 5, 5);
		gbc_textField_1.gridx = 3;
		gbc_textField_1.gridy = 3;
		frame.getContentPane().add(textField_1, gbc_textField_1);
		textField_1.setColumns(10);
		
		lblNewLabel_2 = new JLabel("～");
		GridBagConstraints gbc_lblNewLabel_2 = new GridBagConstraints();
		gbc_lblNewLabel_2.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_2.gridx = 5;
		gbc_lblNewLabel_2.gridy = 3;
		frame.getContentPane().add(lblNewLabel_2, gbc_lblNewLabel_2);
		
		textField_2 = new JTextField();
		textField_2.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_2 = new GridBagConstraints();
		gbc_textField_2.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_2.anchor = GridBagConstraints.WEST;
		gbc_textField_2.gridwidth = 2;
		gbc_textField_2.insets = new Insets(0, 0, 5, 5);
		gbc_textField_2.gridx = 6;
		gbc_textField_2.gridy = 3;
		frame.getContentPane().add(textField_2, gbc_textField_2);
		textField_2.setColumns(10);
		
		chckbxNewCheckBox = new JCheckBox("毎年");
		GridBagConstraints gbc_chckbxNewCheckBox = new GridBagConstraints();
		gbc_chckbxNewCheckBox.anchor = GridBagConstraints.WEST;
		gbc_chckbxNewCheckBox.gridwidth = 2;
		gbc_chckbxNewCheckBox.insets = new Insets(0, 0, 5, 5);
		gbc_chckbxNewCheckBox.gridx = 9;
		gbc_chckbxNewCheckBox.gridy = 3;
		frame.getContentPane().add(chckbxNewCheckBox, gbc_chckbxNewCheckBox);
		
		label = new JLabel("・月");
		GridBagConstraints gbc_label = new GridBagConstraints();
		gbc_label.anchor = GridBagConstraints.WEST;
		gbc_label.gridwidth = 2;
		gbc_label.insets = new Insets(0, 0, 5, 5);
		gbc_label.gridx = 1;
		gbc_label.gridy = 4;
		frame.getContentPane().add(label, gbc_label);
		
		textField_3 = new JTextField();
		textField_3.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_3 = new GridBagConstraints();
		gbc_textField_3.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_3.anchor = GridBagConstraints.WEST;
		gbc_textField_3.insets = new Insets(0, 0, 5, 5);
		gbc_textField_3.gridx = 4;
		gbc_textField_3.gridy = 4;
		frame.getContentPane().add(textField_3, gbc_textField_3);
		textField_3.setColumns(10);
		
		lblNewLabel_4 = new JLabel("～");
		GridBagConstraints gbc_lblNewLabel_4 = new GridBagConstraints();
		gbc_lblNewLabel_4.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_4.gridx = 5;
		gbc_lblNewLabel_4.gridy = 4;
		frame.getContentPane().add(lblNewLabel_4, gbc_lblNewLabel_4);
		
		textField_4 = new JTextField();
		textField_4.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_4 = new GridBagConstraints();
		gbc_textField_4.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_4.anchor = GridBagConstraints.WEST;
		gbc_textField_4.insets = new Insets(0, 0, 5, 5);
		gbc_textField_4.gridx = 7;
		gbc_textField_4.gridy = 4;
		frame.getContentPane().add(textField_4, gbc_textField_4);
		textField_4.setColumns(10);
		
		chckbxNewCheckBox_1 = new JCheckBox("毎月");
		GridBagConstraints gbc_chckbxNewCheckBox_1 = new GridBagConstraints();
		gbc_chckbxNewCheckBox_1.anchor = GridBagConstraints.WEST;
		gbc_chckbxNewCheckBox_1.gridwidth = 2;
		gbc_chckbxNewCheckBox_1.insets = new Insets(0, 0, 5, 5);
		gbc_chckbxNewCheckBox_1.gridx = 9;
		gbc_chckbxNewCheckBox_1.gridy = 4;
		frame.getContentPane().add(chckbxNewCheckBox_1, gbc_chckbxNewCheckBox_1);
		
		lblNewLabel_5 = new JLabel("・日");
		GridBagConstraints gbc_lblNewLabel_5 = new GridBagConstraints();
		gbc_lblNewLabel_5.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_5.gridwidth = 2;
		gbc_lblNewLabel_5.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_5.gridx = 1;
		gbc_lblNewLabel_5.gridy = 5;
		frame.getContentPane().add(lblNewLabel_5, gbc_lblNewLabel_5);
		
		textField_5 = new JTextField();
		textField_5.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_5 = new GridBagConstraints();
		gbc_textField_5.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_5.anchor = GridBagConstraints.WEST;
		gbc_textField_5.insets = new Insets(0, 0, 5, 5);
		gbc_textField_5.gridx = 4;
		gbc_textField_5.gridy = 5;
		frame.getContentPane().add(textField_5, gbc_textField_5);
		textField_5.setColumns(10);
		
		lblNewLabel_6 = new JLabel("～");
		lblNewLabel_6.setHorizontalAlignment(SwingConstants.CENTER);
		GridBagConstraints gbc_lblNewLabel_6 = new GridBagConstraints();
		gbc_lblNewLabel_6.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_6.gridx = 5;
		gbc_lblNewLabel_6.gridy = 5;
		frame.getContentPane().add(lblNewLabel_6, gbc_lblNewLabel_6);
		
		textField_6 = new JTextField();
		textField_6.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_6 = new GridBagConstraints();
		gbc_textField_6.insets = new Insets(0, 0, 5, 5);
		gbc_textField_6.anchor = GridBagConstraints.WEST;
		gbc_textField_6.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_6.gridx = 7;
		gbc_textField_6.gridy = 5;
		frame.getContentPane().add(textField_6, gbc_textField_6);
		textField_6.setColumns(10);
		
		lblNewLabel_7 = new JLabel("●撮影場所");
		GridBagConstraints gbc_lblNewLabel_7 = new GridBagConstraints();
		gbc_lblNewLabel_7.gridwidth = 3;
		gbc_lblNewLabel_7.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_7.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_7.gridx = 1;
		gbc_lblNewLabel_7.gridy = 7;
		frame.getContentPane().add(lblNewLabel_7, gbc_lblNewLabel_7);
		
		lblNewLabel_8 = new JLabel("・緯度");
		GridBagConstraints gbc_lblNewLabel_8 = new GridBagConstraints();
		gbc_lblNewLabel_8.gridwidth = 2;
		gbc_lblNewLabel_8.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_8.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_8.gridx = 1;
		gbc_lblNewLabel_8.gridy = 8;
		frame.getContentPane().add(lblNewLabel_8, gbc_lblNewLabel_8);
		
		textField_7 = new JTextField();
		textField_7.addFocusListener(new FocusAdapter() {
			@Override
			public void focusLost(FocusEvent e) {
				AppWinHndl.EnterLatitude();
			}
		});
		
		rdbtnNewRadioButton = new JRadioButton("北緯");
		rdbtnNewRadioButton.setSelected(true);
		GridBagConstraints gbc_rdbtnNewRadioButton = new GridBagConstraints();
		gbc_rdbtnNewRadioButton.gridwidth = 2;
		gbc_rdbtnNewRadioButton.insets = new Insets(0, 0, 5, 5);
		gbc_rdbtnNewRadioButton.gridx = 3;
		gbc_rdbtnNewRadioButton.gridy = 8;
		frame.getContentPane().add(rdbtnNewRadioButton, gbc_rdbtnNewRadioButton);
		
		rdbtnNewRadioButton_1 = new JRadioButton("南緯");
		GridBagConstraints gbc_rdbtnNewRadioButton_1 = new GridBagConstraints();
		gbc_rdbtnNewRadioButton_1.gridwidth = 2;
		gbc_rdbtnNewRadioButton_1.insets = new Insets(0, 0, 5, 5);
		gbc_rdbtnNewRadioButton_1.gridx = 5;
		gbc_rdbtnNewRadioButton_1.gridy = 8;
		frame.getContentPane().add(rdbtnNewRadioButton_1, gbc_rdbtnNewRadioButton_1);

		ButtonGroup GrpLat = new ButtonGroup();		
		GrpLat.add(rdbtnNewRadioButton);
		GrpLat.add(rdbtnNewRadioButton_1);

		textField_7.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_7 = new GridBagConstraints();
		gbc_textField_7.anchor = GridBagConstraints.WEST;
		gbc_textField_7.gridwidth = 3;
		gbc_textField_7.insets = new Insets(0, 0, 5, 5);
		gbc_textField_7.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_7.gridx = 3;
		gbc_textField_7.gridy = 9;
		frame.getContentPane().add(textField_7, gbc_textField_7);
		textField_7.setColumns(10);
		
		lblNewLabel_9 = new JLabel("度");
		GridBagConstraints gbc_lblNewLabel_9 = new GridBagConstraints();
		gbc_lblNewLabel_9.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_9.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_9.gridx = 6;
		gbc_lblNewLabel_9.gridy = 9;
		frame.getContentPane().add(lblNewLabel_9, gbc_lblNewLabel_9);
		
		textField_8 = new JTextField();
		textField_8.addFocusListener(new FocusAdapter() {
			@Override
			public void focusLost(FocusEvent e) {
				AppWinHndl.EnterLatitude();
			}
		});
		textField_8.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_8 = new GridBagConstraints();
		gbc_textField_8.insets = new Insets(0, 0, 5, 5);
		gbc_textField_8.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_8.gridx = 7;
		gbc_textField_8.gridy = 9;
		frame.getContentPane().add(textField_8, gbc_textField_8);
		textField_8.setColumns(10);
		
		lblNewLabel_10 = new JLabel("分");
		GridBagConstraints gbc_lblNewLabel_10 = new GridBagConstraints();
		gbc_lblNewLabel_10.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_10.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_10.gridx = 8;
		gbc_lblNewLabel_10.gridy = 9;
		frame.getContentPane().add(lblNewLabel_10, gbc_lblNewLabel_10);
		
		textField_9 = new JTextField();
		textField_9.addFocusListener(new FocusAdapter() {
			@Override
			public void focusLost(FocusEvent e) {
				AppWinHndl.EnterLatitude();
			}
		});
		textField_9.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_9 = new GridBagConstraints();
		gbc_textField_9.gridwidth = 2;
		gbc_textField_9.insets = new Insets(0, 0, 5, 5);
		gbc_textField_9.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_9.gridx = 9;
		gbc_textField_9.gridy = 9;
		frame.getContentPane().add(textField_9, gbc_textField_9);
		textField_9.setColumns(10);
		
		lblNewLabel_11 = new JLabel("秒");
		GridBagConstraints gbc_lblNewLabel_11 = new GridBagConstraints();
		gbc_lblNewLabel_11.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_11.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_11.gridx = 11;
		gbc_lblNewLabel_11.gridy = 9;
		frame.getContentPane().add(lblNewLabel_11, gbc_lblNewLabel_11);
		
		lblNewLabel_12 = new JLabel("***.******");
		lblNewLabel_12.setVerticalAlignment(SwingConstants.BOTTOM);
		GridBagConstraints gbc_lblNewLabel_12 = new GridBagConstraints();
		gbc_lblNewLabel_12.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_12.gridwidth = 3;
		gbc_lblNewLabel_12.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_12.gridx = 12;
		gbc_lblNewLabel_12.gridy = 9;
		frame.getContentPane().add(lblNewLabel_12, gbc_lblNewLabel_12);
		
		lblNewLabel_13 = new JLabel("・経度");
		GridBagConstraints gbc_lblNewLabel_13 = new GridBagConstraints();
		gbc_lblNewLabel_13.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_13.gridwidth = 2;
		gbc_lblNewLabel_13.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_13.gridx = 1;
		gbc_lblNewLabel_13.gridy = 10;
		frame.getContentPane().add(lblNewLabel_13, gbc_lblNewLabel_13);
		
		textField_10 = new JTextField();
		textField_10.addFocusListener(new FocusAdapter() {
			@Override
			public void focusLost(FocusEvent e) {
				AppWinHndl.EnterLongtitude();
			}
		});
		
		rdbtnNewRadioButton_2 = new JRadioButton("東経");
		rdbtnNewRadioButton_2.setSelected(true);
		GridBagConstraints gbc_rdbtnNewRadioButton_2 = new GridBagConstraints();
		gbc_rdbtnNewRadioButton_2.gridwidth = 2;
		gbc_rdbtnNewRadioButton_2.insets = new Insets(0, 0, 5, 5);
		gbc_rdbtnNewRadioButton_2.gridx = 3;
		gbc_rdbtnNewRadioButton_2.gridy = 10;
		frame.getContentPane().add(rdbtnNewRadioButton_2, gbc_rdbtnNewRadioButton_2);
		
		rdbtnNewRadioButton_3 = new JRadioButton("西経");
		GridBagConstraints gbc_rdbtnNewRadioButton_3 = new GridBagConstraints();
		gbc_rdbtnNewRadioButton_3.gridwidth = 2;
		gbc_rdbtnNewRadioButton_3.insets = new Insets(0, 0, 5, 5);
		gbc_rdbtnNewRadioButton_3.gridx = 5;
		gbc_rdbtnNewRadioButton_3.gridy = 10;
		frame.getContentPane().add(rdbtnNewRadioButton_3, gbc_rdbtnNewRadioButton_3);
		
		ButtonGroup GrpLon = new ButtonGroup();		
		GrpLon.add(rdbtnNewRadioButton_2);
		GrpLon.add(rdbtnNewRadioButton_3);

		textField_10.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_10 = new GridBagConstraints();
		gbc_textField_10.anchor = GridBagConstraints.WEST;
		gbc_textField_10.gridwidth = 3;
		gbc_textField_10.insets = new Insets(0, 0, 5, 5);
		gbc_textField_10.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_10.gridx = 3;
		gbc_textField_10.gridy = 11;
		frame.getContentPane().add(textField_10, gbc_textField_10);
		textField_10.setColumns(10);
		
		label_1 = new JLabel("度");
		GridBagConstraints gbc_label_1 = new GridBagConstraints();
		gbc_label_1.anchor = GridBagConstraints.WEST;
		gbc_label_1.insets = new Insets(0, 0, 5, 5);
		gbc_label_1.gridx = 6;
		gbc_label_1.gridy = 11;
		frame.getContentPane().add(label_1, gbc_label_1);
		
		textField_11 = new JTextField();
		textField_11.addFocusListener(new FocusAdapter() {
			@Override
			public void focusLost(FocusEvent e) {
				AppWinHndl.EnterLongtitude();
			}
		});
		textField_11.setHorizontalAlignment(SwingConstants.RIGHT);
		textField_11.setColumns(10);
		GridBagConstraints gbc_textField_11 = new GridBagConstraints();
		gbc_textField_11.insets = new Insets(0, 0, 5, 5);
		gbc_textField_11.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_11.gridx = 7;
		gbc_textField_11.gridy = 11;
		frame.getContentPane().add(textField_11, gbc_textField_11);
		
		label_2 = new JLabel("分");
		GridBagConstraints gbc_label_2 = new GridBagConstraints();
		gbc_label_2.anchor = GridBagConstraints.WEST;
		gbc_label_2.insets = new Insets(0, 0, 5, 5);
		gbc_label_2.gridx = 8;
		gbc_label_2.gridy = 11;
		frame.getContentPane().add(label_2, gbc_label_2);
		
		textField_12 = new JTextField();
		textField_12.addFocusListener(new FocusAdapter() {
			@Override
			public void focusLost(FocusEvent e) {
				AppWinHndl.EnterLongtitude();
			}
		});
		textField_12.setHorizontalAlignment(SwingConstants.RIGHT);
		textField_12.setColumns(10);
		GridBagConstraints gbc_textField_12 = new GridBagConstraints();
		gbc_textField_12.gridwidth = 2;
		gbc_textField_12.insets = new Insets(0, 0, 5, 5);
		gbc_textField_12.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_12.gridx = 9;
		gbc_textField_12.gridy = 11;
		frame.getContentPane().add(textField_12, gbc_textField_12);
		
		label_3 = new JLabel("秒");
		GridBagConstraints gbc_label_3 = new GridBagConstraints();
		gbc_label_3.anchor = GridBagConstraints.WEST;
		gbc_label_3.insets = new Insets(0, 0, 5, 5);
		gbc_label_3.gridx = 11;
		gbc_label_3.gridy = 11;
		frame.getContentPane().add(label_3, gbc_label_3);
		
		label_4 = new JLabel("***.******");
		label_4.setVerticalAlignment(SwingConstants.BOTTOM);
		GridBagConstraints gbc_label_4 = new GridBagConstraints();
		gbc_label_4.anchor = GridBagConstraints.WEST;
		gbc_label_4.gridwidth = 3;
		gbc_label_4.insets = new Insets(0, 0, 5, 5);
		gbc_label_4.gridx = 12;
		gbc_label_4.gridy = 11;
		frame.getContentPane().add(label_4, gbc_label_4);
		
		label_5 = new JLabel("・範囲");
		GridBagConstraints gbc_label_5 = new GridBagConstraints();
		gbc_label_5.anchor = GridBagConstraints.WEST;
		gbc_label_5.gridwidth = 2;
		gbc_label_5.insets = new Insets(0, 0, 5, 5);
		gbc_label_5.gridx = 1;
		gbc_label_5.gridy = 12;
		frame.getContentPane().add(label_5, gbc_label_5);
		
		textField_13 = new JTextField();
		textField_13.setText("30");
		textField_13.setHorizontalAlignment(SwingConstants.RIGHT);
		GridBagConstraints gbc_textField_13 = new GridBagConstraints();
		gbc_textField_13.gridwidth = 2;
		gbc_textField_13.insets = new Insets(0, 0, 5, 5);
		gbc_textField_13.fill = GridBagConstraints.HORIZONTAL;
		gbc_textField_13.gridx = 4;
		gbc_textField_13.gridy = 12;
		frame.getContentPane().add(textField_13, gbc_textField_13);
		textField_13.setColumns(10);
		
		lblNewLabel_14 = new JLabel("m");
		GridBagConstraints gbc_lblNewLabel_14 = new GridBagConstraints();
		gbc_lblNewLabel_14.anchor = GridBagConstraints.WEST;
		gbc_lblNewLabel_14.insets = new Insets(0, 0, 5, 5);
		gbc_lblNewLabel_14.gridx = 6;
		gbc_lblNewLabel_14.gridy = 12;
		frame.getContentPane().add(lblNewLabel_14, gbc_lblNewLabel_14);
		
		chckbxNewCheckBox_2 = new JCheckBox("キャプション");
		chckbxNewCheckBox_2.addMouseListener(new MouseAdapter() {
		});
		GridBagConstraints gbc_chckbxNewCheckBox_2 = new GridBagConstraints();
		gbc_chckbxNewCheckBox_2.anchor = GridBagConstraints.WEST;
		gbc_chckbxNewCheckBox_2.gridwidth = 4;
		gbc_chckbxNewCheckBox_2.insets = new Insets(0, 0, 5, 5);
		gbc_chckbxNewCheckBox_2.gridx = 1;
		gbc_chckbxNewCheckBox_2.gridy = 14;
		frame.getContentPane().add(chckbxNewCheckBox_2, gbc_chckbxNewCheckBox_2);
		CaptionList = new ScrollList(frame, 2, 15, chckbxNewCheckBox_2);

		chckbxNewCheckBox_3 = new JCheckBox("タグ");
		chckbxNewCheckBox_3.addMouseListener(new MouseAdapter() {
		});
		GridBagConstraints gbc_chckbxNewCheckBox_3 = new GridBagConstraints();
		gbc_chckbxNewCheckBox_3.anchor = GridBagConstraints.WEST;
		gbc_chckbxNewCheckBox_3.gridwidth = 4;
		gbc_chckbxNewCheckBox_3.insets = new Insets(0, 0, 5, 5);
		gbc_chckbxNewCheckBox_3.gridx = 8;
		gbc_chckbxNewCheckBox_3.gridy = 14;
		frame.getContentPane().add(chckbxNewCheckBox_3, gbc_chckbxNewCheckBox_3);
		TagList = new ScrollList(frame, 9, 15, chckbxNewCheckBox_3);
		
		btnNewButton_1 = new JButton("閉じる(C)");
		btnNewButton_1.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				AppWinHndl.CloseClicked();
			}
		});
		GridBagConstraints gbc_btnNewButton_1 = new GridBagConstraints();
		gbc_btnNewButton_1.fill = GridBagConstraints.HORIZONTAL;
		gbc_btnNewButton_1.gridwidth = 3;
		gbc_btnNewButton_1.insets = new Insets(0, 0, 5, 5);
		gbc_btnNewButton_1.gridx = 7;
		gbc_btnNewButton_1.gridy = 16;
		frame.getContentPane().add(btnNewButton_1, gbc_btnNewButton_1);
		
		btnNewButton_2 = new JButton("検索(F)");
		btnNewButton_2.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) {
				AppWinHndl.SearchClicked();
			}
		});
		GridBagConstraints gbc_btnNewButton_2 = new GridBagConstraints();
		gbc_btnNewButton_2.fill = GridBagConstraints.HORIZONTAL;
		gbc_btnNewButton_2.gridwidth = 3;
		gbc_btnNewButton_2.insets = new Insets(0, 0, 5, 5);
		gbc_btnNewButton_2.gridx = 11;
		gbc_btnNewButton_2.gridy = 16;
		frame.getContentPane().add(btnNewButton_2, gbc_btnNewButton_2);
		frame.getContentPane().setFocusTraversalPolicy(new FocusTraversalOnArray(new Component[]{textField, btnNewButton, textField_1, textField_2, chckbxNewCheckBox, textField_3, textField_4, chckbxNewCheckBox_1, textField_5, textField_6, rdbtnNewRadioButton, rdbtnNewRadioButton_1, textField_7, textField_8, textField_9, rdbtnNewRadioButton_2, rdbtnNewRadioButton_3, textField_10, textField_11, textField_12, textField_13, chckbxNewCheckBox_2, chckbxNewCheckBox_3, btnNewButton_1, btnNewButton_2}));
	}

}
