import javax.swing.JFileChooser;

/**
 * 
 * 設定ダイアログで発生するイベントのハンドラ群
 */
public class AppWinHndl {
	private static SrchPhoto Searcher = null;				// 検索オブジェクト
	private static SrchThread SearchThread = null;		// 検索スレッド
	
	// フォルダの参照ボタンをクリック
	public static void SearchFolder(String BasePath) {
		JFileChooser chooser = new JFileChooser(BasePath);
		chooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
		if (chooser.showOpenDialog(null) == JFileChooser.APPROVE_OPTION) {
			AppWin.setSearchFolder(chooser.getSelectedFile());
		}
 	}
	
	static SrchPhoto getSearcher() {
		return Searcher;
	}
	static void setSearcher(SrchPhoto srchr) {
		Searcher = srchr;
	}
	public static void EnterLatitude() {
		AppWin.ReCalcLatitude();
	}
	public static void EnterLongtitude() {
		AppWin.ReCalcLongtitude();
	}
	
	// "検索"ボタンがクリックされた
	public static void SearchClicked() {
		// 有効な検索結果が既に存在するなら、保存するかどうかを確認する
		if (Searcher != null) {
			FileTbl  FTbl = Searcher.getFileTbl();
			if (FTbl != null) {
				if (FTbl.atClose() == true) {
					FileTbl.setInValid();
				}
				else
					return;			// 保存されなかったので、何もせず戻る
			}
		}

		SearchThread = new SrchThread();
		if (SearchThread != null)
			SearchThread.start();
	}
	
	// 閉じるボタンをクリックされた
	public static void CloseClicked() {
		if (FileTbl.isValidResult() != true) {
			// 有効な検索結果がない
			System.exit(0);
		}
		else {
			// 保存されていない検索結果が有るので、保存するかどうかを問い合わせる
			FileTbl  FTbl = Searcher.getFileTbl();
			if (FTbl != null) {
				if (FTbl.atClose() == true) {
					FileTbl.setInValid();
					System.exit(0);
				}
			}
		}
	}
}
